Анкерные системы Schöck Dorn
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA Autocad. Выбор области отображения видового экрана.

VBA Autocad. Выбор области отображения видового экрана.

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 13.07.2017, 13:38 #1
VBA Autocad. Выбор области отображения видового экрана.
ramber
 
Регистрация: 18.04.2011
Сообщений: 31

ramber вне форума Вставить имя

Добрый день!

Я создал видовой экран, как мне указать область в пространстве модели, которую нужно отображать в видовом экране?
Выставлять масштаб экрана я научился

Код:
[Выделить все]
    Set newVport = ThisDrawing.PaperSpace.AddPViewport(center, 60, 50)

    newVport.Display True

    ThisDrawing.MSpace = True 'переключение в модель в видовом экране

    ThisDrawing.ActivePViewport = newVport

    ZoomScaled 1, acZoomScaledRelativePSpace ' тут ставлю масштаб видового экрана

    ThisDrawing.MSpace = False
Просмотров: 600
 
Непрочитано 16.07.2017, 23:40
#2
Theodor


 
Регистрация: 16.04.2009
Петрозаводск
Сообщений: 99


Попробуйте воспользоваться свойством
newVport.Target

Dim VPCoord(0 To 2) As Double
задается точка в координатах модели, это будет центр в видовом экране
VPCoord(0)=100
VPCoord(1)=200
VPCoord(1)=0
newVport.Target=VPCoord
масштаб я корректирую так (у меня 1:1)
ViewScr.CustomScale = 1 / 1

размер видового экрана (если надо исправить)
newVport.Height = 500
newVport.Width = 600

Кстати, сталкивался с проблемой несовпадения указанного центра в модели с реальным отображением (были какие-то странные смещения). Но пока не столкнетесь, не буду вас грузить.
Theodor вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > VBA Autocad. Выбор области отображения видового экрана.

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Как совместить угол видового экрана с определенной точкой на модели, указав координаты точки на модели. Landsurvey AutoCAD 3 26.09.2013 17:35
Autocad 2013 - выравнивание внутри видового экрана peneks AutoCAD 6 22.04.2013 15:34
Частичное отображение границ видового экрана Андрей Будзинский AutoCAD 19 12.12.2009 22:27

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы